package ru.yandex.wmconsole.data.info;

import java.util.List;

/**
 * User: azakharov
 * Date: 14.03.14
 * Time: 15:37
 */
public class HostMirrorInfo {
    private BriefHostInfo hostInfo;             // информация о хосте из БД
    private String oldMainMirror;               // старое главное зеркало хоста
    private String newMainMirror;               // новое главное зеркало хоста
    private BriefHostInfo oldMainMirrorInfo;    // информация о старом главном зеркале хоста из БД
    private BriefHostInfo newMainMirrorInfo;    // информация о новом главном зеркале хоста из БД
    private List<BriefHostInfo> oldHostMirrors; // информация о старных неглавных зеркалах хоста из БД

    public HostMirrorInfo(BriefHostInfo hostInfo, String oldMainMirror, String newMainMirror, BriefHostInfo oldMainMirrorInfo, BriefHostInfo newMainMirrorInfo, List<BriefHostInfo> oldHostMirrors) {
        this.hostInfo = hostInfo;
        this.oldMainMirror = oldMainMirror;
        this.newMainMirror = newMainMirror;
        this.oldMainMirrorInfo = oldMainMirrorInfo;
        this.newMainMirrorInfo = newMainMirrorInfo;
        this.oldHostMirrors = oldHostMirrors;
    }

    public BriefHostInfo getHostInfo() {
        return hostInfo;
    }

    public String getOldMainMirror() {
        return oldMainMirror;
    }

    public String getNewMainMirror() {
        return newMainMirror;
    }

    public BriefHostInfo getOldMainMirrorInfo() {
        return oldMainMirrorInfo;
    }

    public BriefHostInfo getNewMainMirrorInfo() {
        return newMainMirrorInfo;
    }

    public List<BriefHostInfo> getOldHostMirrors() {
        return oldHostMirrors;
    }
}
